### Signal

# Goa Ticketing::handle-get-ticket

since: 3.6.0

#### Declaration

    gboolean
    handle_get_ticket (
      GoaTicketing* self,
      GDBusMethodInvocation* invocation,
      gpointer user_data
    )

#### Description [src]

Signal emitted when a remote caller is invoking the GetTicket() D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `goa_ticketing_complete_get_ticket()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.6.0

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.